From 37319fb17fa189d48aa8ca75bff40c977ff2cd44 Mon Sep 17 00:00:00 2001
From: Yuri Kunde Schlesner <yuriks@yuriks.net>
Date: Sun, 30 Aug 2015 03:46:34 -0300
Subject: [PATCH] Only check src/ directory for whitespace errors in the
 pre-commit hook

This allows importing of external libraries into externals/ without
having to reformat them. Unfortunately it also allows whitespace to be
introduced in files like the root CMakeLists.txt, but that is a small
downside compared to the tradeoff.
---
 hooks/pre-commit | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/hooks/pre-commit b/hooks/pre-commit
index bad84b14b..c100bb634 100755
--- a/hooks/pre-commit
+++ b/hooks/pre-commit
@@ -3,8 +3,10 @@
 # Enforce citra's whitespace policy
 git config --local core.whitespace tab-in-indent,trailing-space
 
+paths_to_check="src/ CMakeLists.txt"
+
 # If there are whitespace errors, print the offending file names and fail.
-if ! git diff --cached --check; then
+if ! git diff --cached --check -- $paths_to_check ; then
     cat<<END;
 
 Error: This commit would contain trailing spaces or tabs, which is against this repo's policy.
@@ -15,7 +17,7 @@ END
 fi
 
 # Check for tabs, since tab-in-indent catches only those at the beginning of a line
-if git diff --cached | egrep '^\+.*	'; then
+if git diff --cached -- $paths_to_check | egrep '^\+.*	'; then
     cat<<END;
 Error: This commit would contain a tab, which is against this repo's policy.
 If you know what you are doing, you can try 'git commit --no-verify' to bypass the check.